## golang-github-tmc-grpc-websocket-proxy 0.0~git20200427.3cfed13

=== examples/cmd/wsechoserver/echoserver/Makefile ===
all:
	protoc -I/usr/local/include -I. \
		-I${GOPATH}/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
		--go_out=plugins=grpc:. \
		--grpc-gateway_out=logtostderr=true:. \
		echoserver.proto

=== debian/changelog ===
golang-github-tmc-grpc-websocket-proxy (0.0~git20200427.3cfed13-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + golang-github-tmc-grpc-websocket-proxy-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 24 Nov 2022 17:16:49 +0000

golang-github-tmc-grpc-websocket-proxy (0.0~git20200427.3cfed13-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 24 Oct 2020 15:41:49 +0800

golang-github-tmc-grpc-websocket-proxy (0.0~git20200427.3cfed13-1) unstable; urgency=medium

  * Initial release

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 08 Oct 2020 02:15:44 +0800

=== debian/control ===
Source: golang-github-tmc-grpc-websocket-proxy
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-gorilla-websocket-dev,
               golang-github-sirupsen-logrus-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tmc-grpc-websocket-proxy
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tmc-grpc-websocket-proxy.git
Homepage: https://github.com/tmc/grpc-websocket-proxy
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/tmc/grpc-websocket-proxy

Package: golang-github-tmc-grpc-websocket-proxy-dev
Architecture: all
Depends: golang-github-gorilla-websocket-dev,
         golang-github-sirupsen-logrus-dev,
         ${misc:Depends},
Multi-Arch: foreign
Description: proxy to upgrade grpc-gateway streaming endpoints to use websockets
 Wrap your grpc-gateway mux with this helper to expose streaming endpoints
 over websockets.
 .
 On the wire this uses newline-delimited json encoding of the messages.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/tmc/grpc-websocket-proxy.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-tmc-grpc-websocket-proxy-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/tmc/grpc-websocket-proxy/tags .*/v?(\d\S*)\.tar\.gz debian
